#ifndef _REISER_FS_I
#define _REISER_FS_I

#define REISERFS_N_BLOCKS 10

/* these are used to keep track of the pages that need
** flushing before the current transaction can commit
*/
struct reiserfs_page_list ;

struct reiserfs_inode_info {
  //struct pipe_inode_info reserved;
  __u32 i_key [4];/* key is still 4 32 bit integer */
  
  int i_version;  // this says whether file is old or new

  int i_pack_on_close ; // file might need tail packing on close 

  __u32 i_first_direct_byte; // offset of first byte stored in direct item.

  /* pointer to the page that must be flushed before 
  ** the current transaction can commit.
  **
  ** this pointer is only used when the tail is converted back into
  ** a direct item, or the file is deleted
  */
  struct reiserfs_page_list *i_converted_page ;

  /* we save the id of the transaction when we did the direct->indirect
  ** conversion.  That allows us to flush the buffers to disk
  ** without having to upate this inode to zero out the converted
  ** page variable
  */
  int i_conversion_trans_id ;

				/* So is this an extent, or what? What
                                   happens when the disk is badly
                                   fragmented? I would prefer a list
                                   of blocks, and I would prefer that
                                   you simply take the first
                                   PREALLOC_SIZE blocks after
                                   search_start and put them on the
                                   list, contiguous or not. Maybe I
                                   don't fully understand this code. I
                                   really prefer allocate on flush
                                   conceptually..... -Hans */
  //For preallocation
  int i_prealloc_block;
  int i_prealloc_count;

  //nopack-attribute
  int nopack;
};


#endif
